Ask Kevin is smarter.
OmniDimension
Bulk calls

Bulk call details

Get detailed information about a bulk-call campaign.

GET/calls/bulk_call/
Path parameters
bulk_call_idrequired
curl -X GET 'https://backend.omnidim.io/api/v1/calls/bulk_call/{bulk_call_id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'
Example response
{
  "status": "success",
  "details": {
    "id": 314,
    "name": "test",
    "campaign_type": "ai_agent",
    "user_id": 1234,
    "user_name": "Demo User",
    "twilio_number": "+15551234567",
    "bot_id": 6337,
    "bot_name": "Customer Support Agent",
    "recording_file_id": null,
    "recording_file_name": null,
    "status": "completed",
    "total_calls": 1,
    "completed_calls": 1,
    "pending_calls": 0,
    "failed_calls": 0,
    "skipped_calls": 0,
    "low_interaction_calls": 0,
    "create_date": "04/22/2026 22:10:22",
    "write_date": "04/22/2026 22:10:48",
    "is_scheduled": false,
    "is_dynamic": false,
    "scheduled_datetime": null,
    "timezone": "Asia/Kolkata",
    "failed_reason": false,
    "auto_retry": false,
    "auto_retry_schedule": "immediately",
    "retry_schedule_days": 0,
    "retry_schedule_hours": 0,
    "retry_count": 0,
    "retry_limit": 1,
    "enabled_reschedule_call": false,
    "concurrent_call_limit": 1,
    "enable_daily_hard_stop": false,
    "daily_stop_time": 0,
    "daily_stop_time_formatted": "00:00",
    "daily_stop_timezone": "America/Los_Angeles",
    "enable_daily_auto_start": false,
    "daily_start_time": 0,
    "daily_start_time_formatted": "00:00",
    "daily_start_timezone": "America/Los_Angeles",
    "email_on_complete": false,
    "email_on_hard_stop": false,
    "email_report_recipients": "",
    "variable_config": [
      {
        "id": 45,
        "variable_name": "user_name",
        "variable_type": "text",
        "enum_values": false
      },
      {
        "id": 46,
        "variable_name": "agent_name",
        "variable_type": "text",
        "enum_values": false
      },
      {
        "id": 47,
        "variable_name": "company_name",
        "variable_type": "text",
        "enum_values": false
      }
    ],
    "rotation_strategy": "none",
    "calls_per_number": 50,
    "rotation_health_threshold": 30,
    "rotation_fallback": "pause",
    "current_number_assignment_id": null,
    "number_pool_size": 1,
    "number_pool": [
      {
        "id": 200,
        "phone_number_id": 212,
        "phone_number": "+15551234567",
        "phone_number_name": "+15551234567",
        "sequence": 1,
        "is_active": true,
        "calls_dispatched": 1,
        "calls_picked_up": 0,
        "rolling_cpr": null,
        "health_score": null
      }
    ],
    "total_calls_to_dispatch": 1,
    "total_calls_made": 1,
    "calls_picked_up": 0,
    "total_pending_calls": 0,
    "total_not_reachable_calls": 1,
    "no_low_interaction_calls": 0,
    "total_skipped_calls": 0,
    "total_reschedule_calls": 0,
    "total_call_cost": 0,
    "total_voiceai_cost": 0,
    "total_telephony_cost": 0,
    "total_call_transfer_count": 0,
    "call_status_counts": {
      "no-answer": 1
    },
    "total_duration_seconds": 0,
    "avg_duration_seconds": 0,
    "incoming_calls": 0,
    "total_lines": 1
  },
  "contact_list": [
    {
      "to_number": "+15551234567"
    }
  ]
}

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

In: header

Path Parameters

bulk_call_id*integer

Response Body

application/json